Subject: bug#61514: 30.0.50; sadistically long xml line hangs emacs

From: Eli Zaretskii <[email-masked]>
Date: Tue, 21 Feb 2023 14:44:51 +0200

> Date: Tue, 21 Feb 2023 09:39:21 +0000
> From: Gregory Heytings <[email-masked]>
> cc: Eli Zaretskii <[email-masked]>, [email-masked], [email-masked]
> 
> 
> >>> I don't think we want that for `emacs-29`, but unless there's some 
> >>> objection I'll push this to `master`,
> >>
> >> Assuming all the regex-emacs-tests and search-tests pass after this 
> >> change, please install on emacs-29, and thanks.
> >
> > It passed the tests, I pushed it to `emacs-29`.
> >
> 
> Great!  I guess we should we also fix the bug in nXML?

Yes, I'd like that to be fixed as well, but see my question about the
hardcoded 1000.